/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;

@Entity
public class KundeTable implements Kunde {

	@Id
//	@GeneratedValue(strategy = GenerationType.TABLE)
	@GeneratedValue(strategy = GenerationType.TABLE, generator = "kundeGenerator")
	@TableGenerator(
			name = "kundeGenerator",
			table = "ID_GEN",
			pkColumnName = "GEN_KEY",
			valueColumnName = "GEN_VALUE",
			pkColumnValue = "KUNDE_ID",
			allocationSize = 10)
	private Integer id;
	private String vorname;
	private String nachname;
	
	
	public KundeTable() {
	}
	
	public KundeTable(String vorname, String nachname) {
		this.vorname = vorname;
		this.nachname = nachname;
	}
	
	public Integer getId() {
		return id;
	}
	
	public String getVorname() {
		return vorname;
	}
	public void setVorname(String vorname) {
		this.vorname = vorname;
	}
	
	public String getNachname() {
		return nachname;
	}
	public void setNachname(String nachname) {
		this.nachname = nachname;
	}
	
	
}
