/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Kunde;
import de.jpainfo.model.KundeAuto;
import de.jpainfo.model.KundeIdentity;
import de.jpainfo.model.KundeSequence;
import de.jpainfo.model.KundeTable;

/**
 *  Testet alle Strategien (UUID nicht, ist keine Strategie)
 *
 */
public class AllStrategies {

	public static void main(String[] args) {
		
		Provider.select("hibernate");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();
		
		//Strategy strategy = Strategy.IDENTITY;
		Strategy strategy = Strategy.SEQUENCE;
		//Strategy strategy = Strategy.TABLE;
		Kunde kunde;

		em.getTransaction().begin();
		switch (strategy) {
		case AUTO:
			kunde = new KundeAuto("Max", "Mustermann");
			em.persist(kunde);
			kunde = new KundeAuto("Paul", "Panzer");
			em.persist(kunde);
			kunde = new KundeAuto("Atze", "Schröder");
			em.persist(kunde);
			break;
		case IDENTITY:
			kunde = new KundeIdentity("Max", "Mustermann");
			em.persist(kunde);
			kunde = new KundeIdentity("Paul", "Panzer");
			em.persist(kunde);
			kunde = new KundeIdentity("Atze", "Schröder");
			em.persist(kunde);
			break;
		case SEQUENCE:
			kunde = new KundeSequence("Max", "Mustermann");
			em.persist(kunde);
			kunde = new KundeSequence("Paul", "Panzer");
			em.persist(kunde);
			kunde = new KundeSequence("Atze", "Schröder");
			em.persist(kunde);
			break;
		case TABLE:
			kunde = new KundeTable("Max", "Mustermann");
			em.persist(kunde);
			kunde = new KundeTable("Paul", "Panzer");
			em.persist(kunde);
			kunde = new KundeTable("Atze", "Schröder");
			em.persist(kunde);
			break;
		}
		em.getTransaction().commit();
		em.clear();
		emf.close();
	}
	
	
	enum Strategy { AUTO, IDENTITY, SEQUENCE, TABLE; }
}
